> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nudj.cx/llms.txt
> Use this file to discover all available pages before exploring further.

# Giveaways overview analytics

> Get comprehensive analytics for giveaways including participation, entry distribution, winners, and time series data



## OpenAPI

````yaml /openapi/analytics.json get /rewards/stats/giveaways/overview
openapi: 3.1.0
info:
  title: Nudj Analytics API
  version: 1.0.0
servers:
  - url: https://{subdomain}.nudj.cx/api/v2/analytics
    description: Organization API Server
    variables:
      subdomain:
        description: Your organization's subdomain (required)
        default: your-org
security: []
paths:
  /rewards/stats/giveaways/overview:
    get:
      tags:
        - Reward
      summary: Giveaways overview analytics
      description: >-
        Get comprehensive analytics for giveaways including participation, entry
        distribution, winners, and time series data
      operationId: getGiveawaysOverview
      parameters:
        - in: query
          name: communityId
          schema:
            type: string
        - in: query
          name: rewardId
          schema:
            type: string
        - in: query
          name: startDate
          schema:
            type: string
        - in: query
          name: endDate
          schema:
            type: string
        - in: query
          name: status
          schema:
            type: string
            enum:
              - pending
              - drawn
              - all
            default: all
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  summary:
                    type: object
                    properties:
                      totalGiveaways:
                        type: number
                      activeGiveaways:
                        type: number
                      completedGiveaways:
                        type: number
                      totalEntriesDistributed:
                        type: number
                      uniqueParticipants:
                        type: number
                      totalWinners:
                        type: number
                      averageEntriesPerUser:
                        type: number
                      averageWinRate:
                        type: number
                    required:
                      - totalGiveaways
                      - activeGiveaways
                      - completedGiveaways
                      - totalEntriesDistributed
                      - uniqueParticipants
                      - totalWinners
                      - averageEntriesPerUser
                      - averageWinRate
                  entryDistribution:
                    type: array
                    items:
                      type: object
                      properties:
                        source:
                          type: string
                        entries:
                          type: number
                        percentage:
                          type: number
                      required:
                        - source
                        - entries
                        - percentage
                  participationFunnel:
                    type: array
                    items:
                      type: object
                      properties:
                        stage:
                          type: string
                        count:
                          type: number
                      required:
                        - stage
                        - count
                  timeseries:
                    type: array
                    items:
                      type: object
                      properties:
                        date:
                          type: string
                        newEntries:
                          type: number
                        newParticipants:
                          type: number
                        drawings:
                          type: number
                      required:
                        - date
                        - newEntries
                        - newParticipants
                        - drawings
                  popularGiveaways:
                    type: array
                    items:
                      type: object
                      properties:
                        rewardId:
                          type: string
                        title:
                          type: string
                        participants:
                          type: number
                        totalEntries:
                          type: number
                        drawDate:
                          type:
                            - string
                            - 'null'
                      required:
                        - rewardId
                        - title
                        - participants
                        - totalEntries
                        - drawDate
                required:
                  - summary
                  - entryDistribution
                  - participationFunnel
                  - timeseries
                  - popularGiveaways
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []

````